Summary:	Power manager for the Xfce desktop environment
Summary(pl.UTF-8):	Zarządca energii dla środowiska Xfce
Name:		xfce4-power-manager
Version:	4.20.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/xfce/xfce4-power-manager/4.20/%{name}-%{version}.tar.bz2
# Source0-md5:	a9e27be5dafea884fb9fbbb918062963
URL:		https://goodies.xfce.org/projects/applications/xfce4-power-manager
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.72.0
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	intltool
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.20.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	upower-devel
BuildRequires:	wayland-devel >= 1.20
BuildRequires:	wayland-protocols >= 1.25
BuildRequires:	xfce4-dev-tools >= 4.20.0
BuildRequires:	xfce4-panel-devel >= 4.20.0
BuildRequires:	xfconf-devel >= 4.20.0
Requires:	gtk-update-icon-cache
Requires:	upower
Requires:	xfce4-dirs >= 4.6
Provides:	xfce4-battery-plugin
Obsoletes:	xfce4-battery-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Power manager for the Xfce desktop environment.

%description -l pl.UTF-8
Zarządca energii dla środowiska Xfce.

%prep
%setup -q

mkdir -p m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%{_sysconfdir}/xdg/autostart/xfce4-power-manager.desktop
%attr(755,root,root) %{_bindir}/xfce4-power-manager
%attr(755,root,root) %{_bindir}/xfce4-power-manager-settings
%attr(755,root,root) %{_sbindir}/xfpm-power-backlight-helper
%attr(755,root,root) %{_sbindir}/xfce4-pm-helper
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_desktopdir}/xfce4-power-manager-settings.desktop
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_datadir}/metainfo/xfce4-power-manager.appdata.xml
%{_mandir}/man1/xfce4-power-manager*.1*
%changelog
* Sat Dec 21 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-power-manager.git;a=log;h=master

* Sat Dec 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2be565c
- up to 4.20.0

* Sun Jun 09 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 933b094
- up to 4.18.4

* Thu Nov 30 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7c42b98
- up to 4.18.3

* Tue May 30 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4dc2cf5
- up to 4.18.2

* Fri Feb 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c2ab3f4
- up to 4.18.1

* Fri Dec 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d23b960
- up to 4.18.0

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d19fde0
- up to 4.16.0

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> 0300468
- up tp version 1.6.6

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 4095168
- up to 1.6.5

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 6f743c5
- up to 1.6.2

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 05f7b53
- up to 1.6.1

* Tue Apr 28 2015 Paweł Gołaszewski <blues@pld-linux.org> 42d1e19
- merged into xfce4-power-manager -> provides. Allow smooth upgrade

* Mon Apr 27 2015 Jan Rękorajski <baggins@pld-linux.org> cf5ceaa
- O: xfce4-battery-plugin
- rel 2

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> 50de169
- up 1.4.4

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> ed772ce
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fc39769
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 8bef802
- updated files
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5076543
- up to 1.4.1

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3361c39
- upower rebuild
- release 2 (by relup.sh)

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> b40c913
- up to 1.3.1

